//
//  CalendarViewController.h
//  Gensys iOS Universal
//
//  Created by Daan Vermeulen on 19/10/15.
//  Copyright © 2015 SPS Gensys B.V. All rights reserved.
//

#import "BaseDetailViewController.h"
#import <IG/IG.h>

@protocol CalendarDelegate <NSObject>
- (void)refresh:(NSDate *)startDate EndDate:(NSDate *)endDate;
@end

@interface CalendarViewController : BaseDetailViewController <IGCalendarViewDelegate, IGCalendarAppointmentDataSource, UIPopoverPresentationControllerDelegate, CalendarDelegate>
{
    NSMutableArray *_appts;
    IGCalendarView *_calendar;
    NSMutableArray *_dataSources;
    /** This collection is going to contain all the months where data has been retrieved. */
    NSMutableArray * months;
    id<IGCalendarThemeDefinition> _customTheme;
    /** Administrative activities will be retrieved when true. Changing this property requires the dataset to be emptied and data to be retrieved again. */
    bool includeAdministrativeActivities;
    
    // http://www.infragistics.com/community/forums/t/104517.aspx
    bool forceCalendarToInvalidate;
}

@property (strong) UISegmentedControl *periodSegmentView;
@property (weak, nonatomic) IBOutlet UIToolbar *topToolbar;
@property (weak, nonatomic) IBOutlet UIToolbar *bottomToolbar;
@property (weak, nonatomic) IBOutlet NSLayoutConstraint *bottomToolbarBottomConstraint;

@end
